using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IGroupRepository : IRepository<Group>
	{
		/// <summary>
		/// 获取指定分组及其所属的子组列表
		/// </summary>
		/// <param name="group"></param>
		/// <returns></returns>
		IList<Group> GetGroupList(Group group);

        /// <summary>
        /// 获取指定分组及其所属的子组列表
        /// </summary>
        /// <param name="hotelID"></param>
        /// <returns></returns>
        IList<Group> GetGroupList(int hotelID);

        GroupMenu GetGroupMenu(int id, int hotelID);
	}
}
